org.apache.olingo.client.api

## Class ODataClientBuilder.ClientBuilder

- java.lang.Object
- - org.apache.olingo.client.api.ODataClientBuilder.ClientBuilder

- Enclosing class:
    ODataClientBuilder

      public static class ODataClientBuilder.ClientBuilder
      extends Object

  Builder class

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientBuilder(String serviceRoot)` Create the builder for an EdmEnabledODataClient.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmEnabledODataClient` | `createClient()` Create an new EdmEnabledODataClient based on via system property ODATA_EMD_CLIENT_IMPL_SYS_PROPERTY class name or if not net the default ODATA_EDM_CLIENT_IMPL_CLASS set class with before set serviceRoot and optional edm and optinal metadataETag.
    `ODataClientBuilder.ClientBuilder` | `edm(Edm edm)` Set the edm to use for edm enabled client
    `ODataClientBuilder.ClientBuilder` | `metadataETag(String metadataETag)` Set the metadataETag to use for edm enabled client

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientBuilder

          public ClientBuilder(String serviceRoot)

      Create the builder for an EdmEnabledODataClient.
      Parameters:
        `serviceRoot` - service root to use

  - ### Method Detail

    - #### edm

          public ODataClientBuilder.ClientBuilder edm(Edm edm)

      Set the edm to use for edm enabled client
      Parameters:
        `edm` - edm to use for edm enabled client
      Returns:
        current client builder

    - #### metadataETag

          public ODataClientBuilder.ClientBuilder metadataETag(String metadataETag)

      Set the metadataETag to use for edm enabled client
      Parameters:
        `metadataETag` - edm to use for edm enabled client
      Returns:
        current client builder

    - #### createClient

          public EdmEnabledODataClient createClient()

      Create an new EdmEnabledODataClient based on via system property ODATA_EMD_CLIENT_IMPL_SYS_PROPERTY class name or if not net the default ODATA_EDM_CLIENT_IMPL_CLASS set class with before set serviceRoot and optional edm and optinal metadataETag.
      Returns:
        new created ODataClient

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.